#!/bin/sh
#
# Downloads a file through a SSH proxy
# Totally copylefted by Josef Spillner <josef@kuarepoti-dju.net> back in 2004

# Predefined proxy ########################################
user="yourusername"
host="foo.bar.de"

# Query arguments #########################################
if [ $# -eq 0 ]; then
	echo "Call: $0 <url> [<proxy>]"
	exit
fi
if [ $# -eq 2 ]; then
	proxy="$2"
else
	proxy="$user@$host"
fi

# Download ################################################
url=$1
file=`basename $url`
ssh -n $proxy "wget $url -O -" > $file

